# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define svnrev 3881

Name:           trac-dbauth-plugin
Version:        0.4
Release:        0.1.dev_r%{svnrev}%{?dist}
Summary:        Trac plugin for authn/authz via database

Group:          Applications/Internet
License:        BSP
URL:            http://trac-hacks.org/wiki/DbAuthPlugin
Source0:        TracDbAuth-%{version}dev-r%{svnrev}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       trac, python-setuptools

%description
Trac plugin for authn/authz via database

%prep
%setup -n TracDbAuth-%{version}dev-r%{svnrev} -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
# skip-build doesn't work on el4
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README create-tables-mysql-5.0.sql create-tables-sqlite-3.0.sql
# For noarch packages: sitelib
%{python_sitelib}/*


%changelog
* Sun Jun 22 2008 Yu-Te Lin
- init version

